<script type="text/javascript">
jQuery(document).ready(function($) {
 	$().timelinr({
	 	orientation: '<?php echo $atts['orientation']; ?>',
	    // value: horizontal | vertical, default to horizontal
	    containerDiv: '#timeline',
	    // value: any HTML tag or #id, default to #timeline
	    datesDiv: '#dates',
	    // value: any HTML tag or #id, default to #dates
		datesSelectedClass: 'selected',
		// value: any class, default to selected
		datesSpeed: 'normal',
	    // value: integer between 100 and 1000 (recommended) or 'slow', 'normal' or 'fast'; default to normal
  		issuesDiv : '#issues',
  		// value: any HTML tag or #id, default to #issues
  		issuesSelectedClass: 'selected',
  		// value: any class, default to selected
  		issuesSpeed: 'fast',
	    // value: integer between 100 and 1000 (recommended) or 'slow', 'normal' or 'fast'; default to fast
	    issuesTransparency: 0.2,
	    // value: integer between 0 and 1 (recommended), default to 0.2
	    issuesTransparencySpeed: 500,
	    // value: integer between 100 and 1000 (recommended), default to 500 (normal)
	    prevButton: '#prev',
	    // value: any HTML tag or #id, default to #prev
	    nextButton: '#next',
	    // value: any HTML tag or #id, default to #next
	    arrowKeys: '<?php echo $atts['arrowkeys']; ?>',
	    // value: true/false, default to false
	    startAt: <?php echo $atts['startat']; ?>,
	    // value: integer, default to 1 (first)
	    autoPlay: '<?php echo $atts['autoplay']; ?>',
	    // value: true | false, default to false
	    autoPlayDirection: '<?php echo $atts['autoplaydirection']; ?>',
	    // value: forward | backward, default to forward
	    autoPlayPause: <?php echo $atts['autoplaypause']; ?>
	    // value: integer (1000 = 1 seg), default to 2000 (2segs)< });
   });
});
</script>
<div id="timeline">
	<?php
	global $post;     
    $args = array(
	    'post_type' => 'timelinr',
	    'posts_per_page' => -1,
	    'orderby' => 'meta_value',
	    'meta_key' => 'timelineDate',
		'meta_compare' => '>',
		'orderby' => 'meta_value',
		'order' => 'DESC'
    );
	
	$query = new WP_Query( $args );
	?> 
	<ul id="dates">
    <?php  	
	while ($query->have_posts()) : $query->the_post();
	 	$timelineDate = get_post_meta($post->ID, 'timelineDate', 'true');
	 	echo '<li><a href="#">'.$timelineDate.'</a></li>';
	endwhile;
	?>
	</ul>
	<ul id="issues">
	<?php 
	if ($query->have_posts()):
		while ($query->have_posts()) : $query->the_post();
			$timelineDate = get_post_meta($post->ID, 'timelineDate', 'true');

		 	echo '<li id="date'.$post->ID.'">';
		 	echo get_the_post_thumbnail($post->ID, array(256,256) );
			echo '<h1>'.$post->post_title.'</h1>';
		 	echo '<p>'.$post->post_content.'</p>';
			echo '</li>';
		endwhile;
	?>
   	</ul>
   	<a href="#" id="next">+</a> <!-- optional -->
   	<a href="#" id="prev">-</a> <!-- optional -->
   	<?php 
   	endif;
   	?>
</div>